package kr.gmtc.gw.asderecv.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import kr.gmtc.gw.asderecv.rest.vo.ServiceAsdeData;

import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Queue;
import java.util.concurrent.LinkedBlockingQueue;

@Configuration("ServiceConfig")
public class ServiceConfig {
	
	@Value("${root}")
	private String root;
	
	@Bean(name = "packetQ")
	public Queue<String> packetQ(){
		return new LinkedBlockingQueue<String>();
	}
	
	@Bean(name = "serviceQueue")
	public HashMap<Integer, Queue<ServiceAsdeData>> serviceQueue(){
		return new LinkedHashMap<Integer, Queue<ServiceAsdeData>>();
	}
	
	@Bean(name = "serviceRunnig")
	public boolean serviceRunnig(){
		return false;
	}	
	
	
}
